package org.processmining.performancespectrumintegration.algorithms.miner;

class SegmentOccurrenceTemplate {

    private final Integer fromEventIndex, toEventIndex;
    private final boolean involvesModelMove;

    SegmentOccurrenceTemplate(Integer fromEventIndex, Integer toEventIndex, boolean involvesModelMove) {
        this.fromEventIndex = fromEventIndex;
        this.toEventIndex = toEventIndex;
        this.involvesModelMove = involvesModelMove;
    }

    public Integer getFromEventIndex() {
        return fromEventIndex;
    }

    public boolean involvesModelMove() {
        return involvesModelMove;
    }

    public Integer getToEventIndex() {
        return toEventIndex;
    }
}
