package org.processmining.performancespectrumintegration.models.settings;

import java.util.Set;
import java.util.SortedMap;

public interface Classification<T, C> {
    C getClass(T classifiable);

    Set<C> getClasses();

    SortedMap<C, Integer> getClassSizes();

    int getNumberOfClasses();

    SortedMap<C, String> getLegend();

    int getDefinitionSpaceSize();
}
