package org.processmining.performancespectrumintegration.mypsm;

import org.processmining.performancespectrumintegration.mypsm.update.PSMUpdateManager;

import javax.swing.*;
import java.awt.*;

public class PSMTimeScalePanel extends JPanel {

    public PSMTimeScalePanel(PSMUpdateManager psmUpdateManager) {
        setLayout(new GridBagLayout());

        JPanel dummy1 = new JPanel();
        dummy1.setPreferredSize(new Dimension(70, 60));
        dummy1.setSize(70, 60);
        BetterPSMTimeScale psmTimeScale = new BetterPSMTimeScale(psmUpdateManager);
        JPanel dummy2 = new JPanel();
        dummy2.setPreferredSize(new Dimension(20, 60));
        dummy2.setSize(20, 60);

        GridBagConstraints c = new GridBagConstraints();
        c.anchor = GridBagConstraints.WEST;
        c.fill = GridBagConstraints.BOTH;
        c.weightx = 0;
        c.weighty = 1;
        c.gridx = 0;
        add(dummy1, c);
        c.anchor = GridBagConstraints.CENTER;
        c.weightx = 1;
        c.gridx = 1;
        add(psmTimeScale, c);
        c.anchor = GridBagConstraints.EAST;
        c.weightx = 0;
        c.weighty = 1;
        c.gridx = 2;
        add(dummy2, c);
    }


}
