package org.processmining.performancespectrumintegration.models.settings;

public enum FilterType {
    None("None"), VariantPercentile("Variant Percentile"),
    CaseDurationPercentile("Duration Percentile"), CaseDurationThreshold("Duration Threshold"),
    CaseIds("Case Id List");

    private String displayString;

    FilterType(String displayString) {
        this.displayString = displayString;
    }

    @Override
    public String toString() {
        return displayString;
    }
}
