package org.processmining.performancespectrumintegration.mypsm.update;

import static org.processmining.performancespectrumintegration.mypsm.update.PSMAggregationSettings.AggregationVersion.StartingIn;

public class PSMAggregationSettings {

    private AggregationVersion aggregationVersion;

    public PSMAggregationSettings() {
        reset();
    }

    public AggregationVersion getAggregationVersion() {
        return aggregationVersion;
    }

    public void setAggregationVersion(AggregationVersion aggregationVersion) {
        this.aggregationVersion = aggregationVersion;
    }

    public void reset() {
        aggregationVersion = StartingIn;
    }

    public enum AggregationVersion {
        StartingIn, ActiveIn, EndingIn
    }


}
