package org.processmining.performancespectrumintegration.mypsm.update;

import org.processmining.performancespectrumintegration.models.settings.DataSettings;

public interface PSMUpdateListener {

    default void onPlaceSegmentConnectionChanged() {

    }

    default void onVisualSettingsChanged() {
    }

    default void onDataSourceGoingToChange(DataSettings deltaSettings) {

    }

    default void onDataSourceChanged(DataSettings deltaSettings) {
    }

    default void onColorMapChanged() {
    }

    default void onMarkedCaseConnectionChanged() {

    }

}
