package org.processmining.performancespectrumintegration.plugins;

import org.processmining.contexts.uitopia.UIPluginContext;
import org.processmining.contexts.uitopia.annotations.Visualizer;
import org.processmining.framework.plugin.annotations.Plugin;
import org.processmining.framework.plugin.annotations.PluginLevel;
import org.processmining.framework.plugin.annotations.PluginVariant;
import org.processmining.performancespectrumintegration.models.InteractivePSM;

import javax.swing.*;

public class InteractivePSMVisualizer {

    @Plugin(name = "@0 Visualize Interactive PSM", level = PluginLevel.NightlyBuild, returnLabels = {"Interactive PSM"}, returnTypes = {
            JComponent.class}, parameterLabels = {"Interactive PSM"})
    @Visualizer
    @PluginVariant(requiredParameterLabels = {0})
    public static JComponent visualize(UIPluginContext context, InteractivePSM interactivePSM) {
        return interactivePSM.getComponentForContext(context);
    }

}
