package org.processmining.performancespectrumintegration.util;

import java.io.Serializable;
import java.util.Objects;

public class Tuple2<T, R> implements Serializable {
    public T _1;
    public R _2;

    public Tuple2() {
    }

    public Tuple2(T _1, R _2) {
        this._1 = _1;
        this._2 = _2;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        Tuple2<?, ?> tuple2 = (Tuple2<?, ?>) o;
        return Objects.equals(_1, tuple2._1) &&
                Objects.equals(_2, tuple2._2);
    }

    @Override
    public int hashCode() {
        return Objects.hash(_1, _2);
    }

    @Override
    public String toString() {
        return "(" + _1 + "," + _2 + ")";
    }
}
