package org.processmining.performancespectrumintegration.visualization.help;

import javax.swing.*;

public class ControlsHelpPanel extends JTextPane {

    public ControlsHelpPanel() {
        setContentType("text/html");
        String s = "<html><ul>" +
                "<li>Pressing 'c' while a place is selected toggles its state.</li>" +
                "<li>Pressing 'del' while a measurement place is selected removes it and recreates the subnet<br>it hid, if it was created with that option.</li>" +
                "<li>Holding 'shift' while scrolling on a segment panel shifts the view instead of zooming.</li>" +
                "<li>Clicking a place highlights its corresponding segments in the list on the right.<br>" +
                "Conversely, hovering over the colored bar of a segment highlights the corresponding place.</li>" +
                "<li>In instant mode, data settings are applied automatically, including the (de)selection of places.</li>" +
                "<li>Locking the current segment order freezes the current ordering of the segments.<br>" +
                "Newly created segments are only appended after the sorted part, instead of using a heuristic to determine the overall order.</li>" +
                "<li>The export button saves the current data settings, including selected segments in the graph, to the ProM workspace.<br>" +
                "This object can then be ex/imported, to continue working on a visualization.<br>" +
                "It can also be loaded with different logs and modified petrinets. (places and transitions are identified by their LocalNodeId)" +
                "</ul></html>";
        setText(s);
        setEditable(false);
    }

}
